package com.defold.hgpoint;

import android.util.Log;
import android.app.Activity;
import android.app.Application;
import android.content.pm.ActivityInfo;

// import com.helpshift;
// import com.helpshift.Core;
// import com.helpshift.support.Support;
// import com.helpshift.InstallConfig;
// import com.helpshift.exceptions.InstallException;
import com.helpshift.Helpshift;

// import com.appsflyer.adrevenue.adnetworks.AppsFlyerAdNetworkEventType;
// import com.appsflyer.adrevenue.adnetworks.generic.MediationNetwork;
// import com.appsflyer.adrevenue.adnetworks.generic.Scheme;
// import com.appsflyer.adrevenue.AppsFlyerAdRevenue;

import java.util.Currency;
import java.util.HashMap;
import java.util.Map;
import java.util.Locale;

public class HelpshiftJNI {
    private static final String TAG = "Helpshift";

    private Activity activity;
    private Application application;

    public HelpshiftJNI(Activity activity) {
        this.activity = activity;
        this.application = activity.getApplication();
    }

    public void Initialize() {
        Map<String, Object> config = new HashMap<>();
        // config.put("enableLogging",  true);
        config.put("screenOrientation", ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);
//        config.put("isForChina", true);

        try {
            Helpshift.install(this.application,
                    "appquantum_platform_20230320145959888-e815716b6f12e35",
                    "appquantum.helpshift.com",
                    config);

        } catch (Exception e) {
            android.util.Log.e("Helpshift", "install call : ", e);
        }

    }

     public void ShowConversation() {
        Map<String, Object> config = new HashMap<>();
        config.put("enableContactUs", "AFTER_VIEWING_FAQS");
        Helpshift.showFAQs(this.activity, config);
     }
}
